commit:     b13cd74906c83ed6d4f0d81af0b63eca27c7c47a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 18 05:21:24 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 19 13:55:59 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b13cd749

dev-python/qiskit-aer: Bump to 0.17.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/qiskit-aer/Manifest                     |  1 +
 ...qiskit-aer-0.17.2-workaround-gentoo-cmake.patch | 11 +++
 dev-python/qiskit-aer/qiskit-aer-0.17.2.ebuild     | 96 ++++++++++++++++++++++
 3 files changed, 108 insertions(+)

diff --git a/dev-python/qiskit-aer/Manifest b/dev-python/qiskit-aer/Manifest
index 71df7658d857..c7200ae19ed9 100644
--- a/dev-python/qiskit-aer/Manifest
+++ b/dev-python/qiskit-aer/Manifest
@@ -1 +1,2 @@
 DIST qiskit-aer-0.17.1.gh.tar.gz 7139029 BLAKE2B 
25f0a94c9a5f553285c5da0253485a437ff4d2ce4ba01efba19b59381a952149219edfebc76b0ec3f2245ad0f0470302ef19089b8f07ca7f140a5a307c55ef9e
 SHA512 
14b907dbd9e15ae795bf626f9644aaffab76f08b5ba90556bbbd290ba8df9f8528b9a0c9c9477755d767071daff2cba8f026df33af76630afc1f2af1cc0836d7
+DIST qiskit-aer-0.17.2.gh.tar.gz 7139176 BLAKE2B 
49dafc4cba948b7e3d474b0b8c73075cc5135a7c8559eebc2c0d5578c19868b4dc0a1dd4e6ab199f67a3996eb35ea11c9e0d8da9d49835bd2d7119774f64d954
 SHA512 
b4ea7bf26ecceaa2d7f3d0ef14d6a482355e397ff904f49eecd38a4602fbc6bc6d2b692e8469d1124fa3fbcea7d0055bd8df34d2b926f2472ce3eec3253d7523

diff --git 
a/dev-python/qiskit-aer/files/qiskit-aer-0.17.2-workaround-gentoo-cmake.patch 
b/dev-python/qiskit-aer/files/qiskit-aer-0.17.2-workaround-gentoo-cmake.patch
new file mode 100644
index 000000000000..6f8998ec243a
--- /dev/null
+++ 
b/dev-python/qiskit-aer/files/qiskit-aer-0.17.2-workaround-gentoo-cmake.patch
@@ -0,0 +1,11 @@
+diff '--color=auto' -dupr qiskit-aer-0.17.2.orig/CMakeLists.txt 
qiskit-aer-0.17.2/CMakeLists.txt
+--- qiskit-aer-0.17.2.orig/CMakeLists.txt      2025-09-19 15:18:04.608064418 
+0200
++++ qiskit-aer-0.17.2/CMakeLists.txt   2025-09-19 15:18:09.888931812 +0200
+@@ -236,6 +236,7 @@ else()
+               if(NOT BLA_VENDOR)
+                 set(BLA_VENDOR "OpenBLAS")
+               endif()
++              set(BLA_PKGCONFIG_BLAS "openblas")
+       endif()
+       if(WIN32 AND USE_BUNDLED_BLAS_WIN)
+               message(STATUS "Uncompressing OpenBLAS static library...")

diff --git a/dev-python/qiskit-aer/qiskit-aer-0.17.2.ebuild 
b/dev-python/qiskit-aer/qiskit-aer-0.17.2.ebuild
new file mode 100644
index 000000000000..bec3357e7c38
--- /dev/null
+++ b/dev-python/qiskit-aer/qiskit-aer-0.17.2.ebuild
@@ -0,0 +1,96 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="High performance simulator for quantum circuits that includes 
noise models"
+HOMEPAGE="
+       https://github.com/Qiskit/qiskit-aer/
+       https://pypi.org/project/qiskit-aer/
+"
+SRC_URI="
+       https://github.com/Qiskit/qiskit-aer/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# qiskit-aer requires slamch_ that is provided by openblas or flexiblas
+# but not sci-libs/lapack.  Link with openblas for now.
+# <nlohmann_json-3.10.3 for https://github.com/Qiskit/qiskit-aer/issues/1742
+DEPEND="
+       >=dev-python/numpy-1.16.3[${PYTHON_USEDEP}]
+       <dev-cpp/nlohmann_json-3.10.3
+       >=dev-cpp/nlohmann_json-3.1.1
+       >=dev-libs/spdlog-1.9.2:=
+       >=dev-cpp/muParserX-4.0.8
+       sci-libs/openblas
+"
+RDEPEND="
+       ${DEPEND}
+       >=dev-python/psutil-5[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+       >=dev-python/qiskit-1.1.0[${PYTHON_USEDEP}]
+       >=dev-python/scipy-1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-build/cmake-3.17
+       >=dev-python/scikit-build-0.11.0[${PYTHON_USEDEP}]
+       >=dev-python/pybind11-2.6[${PYTHON_USEDEP}]
+       test? (
+               dev-python/ddt[${PYTHON_USEDEP}]
+               dev-python/fixtures[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+PATCHES=(
+       # workaround intrusive and harmful Gentoo patching to CMake
+       # https://bugs.gentoo.org/736547
+       "${FILESDIR}/qiskit-aer-0.17.2-workaround-gentoo-cmake.patch"
+)
+
+src_configure() {
+       export DISABLE_CONAN="ON"
+       export DISABLE_DEPENDENCY_INSTALL="ON"
+       export SKBUILD_CONFIGURE_OPTIONS="-DTEST_JSON=1"
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # requires qiskit_qasm3_import
+               
test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_1___automatic____CPU__
+               
test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_2___statevector____CPU__
+               
test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_3___matrix_product_state____CPU__
+               
test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_4___extended_stabilizer____CPU__
+       )
+
+       local EPYTEST_IGNORE=(
+               # TODO: qiskit.providers.aer? wtf?
+               test/terra/expression/test_classical_expressions.py
+       )
+
+       # From tox.ini/tests.yml in CI
+       # Needed to suppress a warning in jupyter-core 5.x by eagerly migrating 
to
+       # a new internal interface that will be the default in jupyter-core 6.x.
+       # This variable should become redundant on release of jupyter-core 6.
+       local -x JUPYTER_PLATFORM_DIRS=1
+
+       rm -rf qiskit_aer || die
+       epytest -s
+}
+
+pkg_postinst() {
+       check_openblas
+}

Reply via email to